# Constants

#    The Circle - Decentralized resource discovery software
#    Copyright (C) 2001  Paul Francis Harrison
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Don't crash if there is no i18n
try:
    _
except:
    def _(s): return s

initial_peers = ['garbo.csse.monash.edu.au',
                                 'hawthorn.csse.monash.edu.au',
                                 'barrymore.csse.monash.edu.au',
                                 '210.49.194.121',
                                 'mandarin.csse.monash.edu.au']

use_gtk                  = 1
def set_no_gtk():
    global use_gtk
    use_gtk = 0

name_bytes               = 16
name_salt                = 4
long_name_bytes          = name_bytes + name_salt

min_search_keyword_len   = 3

#max_node_threads         = 20
#max_task_manager_threads = 20

max_active_threads       = 16

hashtable_activate_time  = 60*60 # activate hashtable this time after node startup
hashtable_activate_threshhold = 2.0 # average ping time an active node should be able to achieve

# assumption: any participating node has already been stable for hashtable_activate_time
start_poll_interval      = hashtable_activate_time/2.0 # was 10*60
poll_expand_factor       = 1.25
poll_breathingspace      = 5*60
publish_retry_interval   = 5*60

neighbourhood_size       = 5
peer_cache_size          = 20
peer_poll_start_interval = 1*60
peer_poll_expand_factor  = 1.2 #was 1.05

reply_cache_size         = 100

max_known_peers          = 40

link_state_timeout       = 2*60

udp_default_ping_time    = 3.0  
udp_max_ping_time        = 10.0
udp_min_ping_time        = 0.25 # was 0.25, set to more conservative setting because people complained in v0.25 
udp_max_window           = 10.0
udp_retries              = 10
udp_error_time           = 30.0 # must exceed max ping time

max_packet_size          = 65536

identity_redundancy      = 4
cache_redundancy         = 4
channel_redundancy       = 4

max_cache_names          = 10  # Number of hashtable entries a cache item can use

download_threads         = 8 
download_chunk           = 1400

default_ports            = range(29610,29620)

drawing_size             = 60

#How many wodges to cache
gossip_cache_size        = 1000

#How many messages to cache
incoming_message_history_size = 100

# (distance >= than this, description)
distance_descriptions    = [
    (0.0, _('The gospel truth.')),
    (0.5, _('Exceptionally insightful.')),
    (1.0, _('Interesting and informative.')),
    (2.0, _('Quite interesting and fairly accurate.')),
    (5.0, _('Sometimes interesting.')),
    (10.0, _('Of very occasional interest.')),
    (15.0, _('Frankly, a load of rubbish.')),
    (20.0, _('Evil, evil lies.'))
]

gratuitous_plugs = [
    _('Gratuitous plug:')+'\n'+_('Circle Chat will be even more fun once all your friends are on it...'),
    _('Gratuitous plug:')+'\n'+_('Circle Gossip will be even more interesting when all your friends are posting...'),
    _('Gratuitous plug:')+'\n'+_('The more people on Circle, the more music to listen to!'),
    _('Share and enjoy :-)'),
    _('Obey the cat.'),
    _('Now leaving the Other Plane.'),
    _('Look ma! No control points!'),
    '"If a revolution destroys a systematic government, but the systematic patterns of thought that produced that government are left intact, then those patterns will repeat themselves in the succeeding government." (ZAMM, Pirsig)',
    '"... stop yanking and just stare at the coconut for a while." (ZAMM, Pirsig)',
    '    "Well, your network gift economy is undermining the lawful, government approved, regulated economy!"\n    "Well," Tsuyoshi said gently, "maybe my economy is better than your economy."\n(Maneki Neko, Bruce Sterling)',
    '"These little Japanese voodoo cats. Maneki neko, right? They started showing up everywhere I went. There\'s a china cat in my handbag. There\'s three china cats at the office. Suddenly they\'re on display in the windows of every antique store in Providence. My car radio starts making meowing noises at me." (Maneki Neko, Bruce Sterling)'
]

